package eu.teraflow.automation.device.model;

public class ConfigRule {

    private ConfigActionEnum configActionEnum;
    private String resourceKey;
    private String resourceValue;

    public ConfigRule(ConfigActionEnum configActionEnum, String resourceKey, String resourceValue) {
        this.configActionEnum = configActionEnum;
        this.resourceKey = resourceKey;
        this.resourceValue = resourceValue;
    }

    public ConfigActionEnum getConfigActionEnum() {
        return configActionEnum;
    }

    public String getResourceKey() {
        return resourceKey;
    }

    public String getResourceValue() {
        return resourceValue;
    }
}
